Std ViewZoomOut/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
|[[Std_ViewZoomIn|Std ViewZoomIn]]
|[[Std_ViewBoxZoom|Std ViewBoxZoom]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewZoomIn.svg
|IconR=Std_ViewBoxZoom.svg
|IconC=Freecad.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 13: Line 22:
</div>
</div>


==Description==
==Description==


Makes the content appear smaller in the 3D view.
The '''Std ViewZoomOut''' command zooms out in the active [[3D_view|3D view]].


==Usage==
==Usage==


# There are several ways to invoke the command:
* Go to {{MenuCommand|{{StdMenu|[[Std View Menu|View]]}} → Zoom‏‎ → [[File:Zoom-out.svg|16px]] Zoom Out}} or press {{KEY|Ctrl}}+{{KEY|-}}.
#* Select the {{MenuCommand|View → Zoom → [[Image:Std_ViewZoomOut.svg|16px]] Zoom Out}} option from the menu.
* The view can also be zoomed out with the mouse scroll wheel.
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|-}}.


==Options==
==Notes==


* It is also possible to zoom with the mouse scroll wheel.
* The zoom step can be changed in {{MenuCommand|Edit → Preferences → Display → 3D View}}.

==Preferences==

* The zoom factor can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → Navigation → Zoom step}}. This setting also affects scroll wheel zoom. See [[Preferences_Editor#Navigation|Preferences Editor]].

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

To zoom out use the {{incode|zoomOut}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.

{{Code|code=
import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.zoomOut()
}}

{{Docnav
|[[Std_ViewZoomIn|Std ViewZoomIn]]
|[[Std_ViewBoxZoom|Std ViewBoxZoom]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_ViewZoomIn.svg
|IconR=Std_ViewBoxZoom.svg
|IconC=Freecad.svg
}}


{{Std Base navi{{#translation:}}}}
{{Std Base navi{{#translation:}}}}

Revision as of 20:38, 9 April 2020

Other languages:

Уменьшить

Системное название
Std ViewZoomOut
Расположение в меню
Вид → Масштаб‏‎ → Уменьшить
Верстаки
All
Быстрые клавиши
Ctrl + -
Представлено в версии
-
См. также
Увеличить, Увеличить область

Description

The Std ViewZoomOut command zooms out in the active 3D view.

Usage

  1. There are several ways to invoke the command:
    • Select the View → Zoom → Zoom Out option from the menu.
    • Use the keyboard shortcut: Ctrl+-.

Notes

  • It is also possible to zoom with the mouse scroll wheel.

Preferences

  • The zoom factor can be changed in the preferences: Edit → Preferences... → Display → Navigation → Zoom step. This setting also affects scroll wheel zoom. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To zoom out use the zoomOut method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.zoomOut()